Start run
curl --request POST \
--url https://api.ziet.ai/v1/runs/{id}/invoke \
--header 'Authorization: <api-key>'import requests
url = "https://api.ziet.ai/v1/runs/{id}/invoke"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.ziet.ai/v1/runs/{id}/invoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"input": {},
"output": {},
"max_steps": 123,
"max_tokens": 123,
"memory": {
"id": "<string>",
"run_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "<string>",
"action_id": "<string>",
"input": {},
"output": {},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"error": {
"message": "<string>",
"code": "<string>"
},
"metadata": {},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Runs
Start run
Begin execution of a created run. The agent will start making decisions and executing actions.
POST
/
runs
/
{id}
/
invoke
Start run
Authorizations
Format: 'Api-Key sk_live_YOUR_KEY'
Path Parameters
Response
Run started
Available options:
created, running, waiting_approval, completed, failed, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I